// ==============================================================
// ORBITER vessel module: Mercury Redstone
// ==============================================================

#include "orbitersdk.h"
#include "multi_stage.h"
#include "..\mercury_capsule.h"
#include "atlas.h"


// Initialisation
DLLCLBK VESSEL *ovcInit (OBJHANDLE hvessel, int flightmodel)
{
	Stack = new Multi_Stage();
	return new VESSEL (hvessel, flightmodel);
}

// Cleanup
DLLCLBK void ovcExit (VESSEL *vessel)
{
	if (Stack) delete Stack;
	if (vessel) delete vessel;
}

// Keyboard interface handler
DLLCLBK int ovcConsumeKey (VESSEL *vessel, const char *keystate)
{
	Stack->ConsumeKey(vessel,keystate);
	return 0;
}

// Set the capabilities of the vessel class
DLLCLBK void ovcSetClassCaps (VESSEL *vessel, FILEHANDLE cfg)
{
	IStage *newStage;
	newStage = new AtlasBooster();
	Stack->SetStage(newStage,vessel,0);

}


DLLCLBK void ovcTimestep (VESSEL *vessel, double simt)
{
	Stack->Timestep(vessel,simt);
}